4 comments
Comment actions Permalink

Hello,

1. Please launch in terminal "which ruby"
2. Also wich working directory do you use in terminal and which one is set in your JSONWrapperTest run configuration setting (in RubyMine)

0
Comment actions Permalink

1. Ruby binaries are the same.

➤ which ruby
/usr/local/bin/ruby
➤ ls -la /usr/bin/ruby
lrwxr-xr-x  1 root  wheel  19 May  5  2009 /usr/bin/ruby -> /usr/local/bin/ruby


2. The directory: /Users/nikitavasilev/Sites/heroku/jsonp

I don't know what changed, but now I have different error message:

rubymine-jsonp.png
rubymine-jsonp2.png

0
Comment actions Permalink

Are you sure that rack/test problem appears only in RubyMine and isn't reproducible in console? Please launch

$ gem environment


in console and attach screenshot of RubyMine | Tools | Show Gem Environment. Probably problem is in gem paths.
-----
I've clone your git repo and I've opened project in RubyMine

1. test/jsonp_wrapper_test.rb:2:in `require': no such file to load -- rack/test (LoadError)
Screen shot 2010-02-03 at 7.06.48 PM.png
Screen shot 2010-02-03 at 7.07.33 PM.png
2. I've installed "rack-test 0.5.3", "fake-web 0.5.8", "json 1.2.0" gems
Screen shot 2010-02-03 at 7.16.32 PM.png
Screen shot 2010-02-03 at 7.16.43 PM.png
Screen shot 2010-02-03 at 7.19.27 PM.png
0
Comment actions Permalink
➤ gem environment
RubyGems Environment:
  - RUBYGEMS VERSION: 1.3.5
  - RUBY VERSION: 1.8.7 (2009-06-12 patchlevel 174) [i686-darwin9.7.0]
  - INSTALLATION DIRECTORY: /usr/local/lib/ruby/gems/1.8
  - RUBY EXECUTABLE: /usr/local/bin/ruby
  - EXECUTABLE DIRECTORY: /usr/local/bin
  - RUBYGEMS PLATFORMS:
    - ruby
    - x86-darwin-9
  - GEM PATHS:
     - /usr/local/lib/ruby/gems/1.8
     - /Users/nikitavasilev/.gem/ruby/1.8
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :benchmark => false
     - :backtrace => false
     - :bulk_threshold => 1000
     - :sources => ["http://gems.rubyforge.org/", "http://gems.github.com", "http://gemcutter.org/"]
  - REMOTE SOURCES:
     - http://gems.rubyforge.org/
     - http://gems.github.com
     - http://gemcutter.org/




RubyMine | Tools | Show Gem Environment

RubyGems Environment:
RUBYGEMS VERSION: 1.3.5
RUBY VERSION: 1.8.7 (2009-06-12 patchlevel 174) [i686-darwin9.7.0]
INSTALLATION DIRECTORY: /usr/local/lib/ruby/gems/1.8
RUBY EXECUTABLE: /usr/local/bin/ruby
EXECUTABLE DIRECTORY: /usr/local/bin
RUBYGEMS PLATFORMS:
  ruby
  x86-darwin-9
GEM PATHS:
   /usr/local/lib/ruby/gems/1.8
   /Users/nikitavasilev/.gem/ruby/1.8
GEM CONFIGURATION:
   :update_sources => true
   :verbose => true
   :benchmark => false
   :backtrace => false
   :bulk_threshold => 1000
   :sources => ["http://gems.rubyforge.org/", "http://gems.github.com", "http://gemcutter.org/"]
REMOTE SOURCES:
   http://gems.rubyforge.org/
   http://gems.github.com
   http://gemcutter.org/
0

Please sign in to leave a comment.